<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<body>

	<!-- CALENDAR CARD -->
	<div th:fragment="calendarcard" class="container-fluid">
		<br/>
		<div class="card card-default">
			<div class="card-header">
				<h3 class="card-title">Calendário</h3>
				<div class="card-tools">
					<button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
					<button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-remove"></i></button>
				</div>
			</div> <!-- /.card-header -->

			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<!-- calendar -->
						<div class="card bg-gradient-success">
							<div class="card-header border-0">
								<h3 class="card-title">
									<i class="far fa-calendar-alt"></i>
									Calendar
								</h3>

								<div class="card-tools">

									<div class="btn-group">
										<button type="button" class="btn btn-success btn-sm dropdown-toggle" data-toggle="dropdown" data-offset="-52">
											<i class="fas fa-bars"></i>
										</button>
										<div class="dropdown-menu" role="menu">
											<a href="#" class="dropdown-item">Add new event</a>
											<a href="#" class="dropdown-item">Clear events</a>
											<div class="dropdown-divider"></div>
											<a href="#" class="dropdown-item">View calendar</a>
										</div>
									</div>
									<button type="button" class="btn btn-success btn-sm" data-card-widget="collapse">
										<i class="fas fa-minus"></i>
									</button>
									<button type="button" class="btn btn-success btn-sm" data-card-widget="remove">
										<i class="fas fa-times"></i>
									</button>
								</div>

							</div>

							<div class="card-body pt-0">
								<div id="calendar" style="width: 100%"></div>
							</div>

						</div> <!-- /calendar -->
					</div> <!-- /.col -->
				</div>
			</div> <!-- /.card-body -->
		</div>

		<!-- Javascript -->
		<script>
			// The Calendar
			$('#calendar').datetimepicker({
				language:'pt-br',
				format: 'dd/MM/yyyy',
				inline: true,
				minDate: moment("[[${mindate}]]"),
				maxDate: moment("[[${maxdate}]]")
			});

			$('#calendar').on('change.datetimepicker', function(e) {
				updateCalendarData(e.date.format('MM/DD/yyyy'));
			});

			function updateCalendarData(localDate) {
				$.ajax({
					type: "GET",
					url: "event/findByDate?localDate=" + localDate,
					contentType: "application/json; charset=utf-8",
					dataType: "json",
					success: function(data) {
						updateSportiveCard(data);
					},
					error : function(jqXHR, textStatus, errorThrown) {
						console.log("jqXHR: " + jqXHR.status);
						console.log("textStatus: " + textStatus);
						console.log("errorThrown: " + errorThrown);
					}
				});
			}

			function updateSportiveCard(data) {
				$('#dataesportiva').html(data.dateLocale + ' - Eventos esportivos de ' + data.dayName);
				$('#fonte').html('Fonte: ' + data.url);

				$('#eventos').empty();
				$('#eventos').html(eventList(data));
			}

			function eventList(data) {
				console.log('length: ' + data.sportiveEvents.length);
				var event = '';
				var span = '<span>';
				var spanf = '</span><br/>';

				for(x=0;x<data.sportiveEvents.length;x++) {
					console.log('event: ' + data.sportiveEvents[x].id);
					event = event.concat(span + data.sportiveEvents[x].description + spanf);
				}

				return event;
			}

		</script>
		<!-- End of Javascript -->

	</div><!-- /.container-fluid -->


</body>
</html>